HomeWidget Class Reference

The HomeWidget is the welcome screen of the application. More...

`#include <homewidget.h>`

Inheritance diagram for HomeWidget:

## Public Slots

void | refresh ()
void | onPilotsDatabaseChanged (const OPL::DbTable table)

## Public Member Functions

| HomeWidget (QWidget *parent=nullptr)

## Protected Member Functions

void | changeEvent (QEvent *event) override
| Handles change events, like updating the UI to new localisation.

## Detailed Description

The HomeWidget is the welcome screen of the application.

The HomeWidget shows total flight times and a user-configurable set of currencies (expiry dates for licenses, ratings, medicals,...). Most data is provided by the AStat class and the ACurrencyEntry class. Notifications are provided by means of pop-up warnings on application start via QMessageBox and the INFO/WARN interfaces, as well as by colouring the labels according to the warning level (orange/red).

The documentation for this class was generated from the following files:

- src/gui/widgets/homewidget.h
- src/gui/widgets/homewidget.cpp